package kr.co.tobby48.medihand.payload.request.prescription; 

import java.io.Serializable;

import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import kr.co.tobby48.medihand.models.Appointment;

/**
 * <pre>
 * kr.co.tobby48.medihand.payload.form 
 * UpdatePatientForm.java
 *
 * 설명 :
 * </pre>
 * 
 * @since : 2022. 10. 22.
 * @author : tobby48
 * @version : v1.0
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class UpdatePrescriptionRequest extends AddPrescriptionRequest implements Serializable {


    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	@NotNull(message = "{validation.id.required}")
	private Long id;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}
	
	public Appointment update(Appointment appointment) {
		appointment.setCondition1(getCondition1());
		appointment.setCondition2(getCondition2());
		appointment.setCondition3(getCondition3());
        
//		appointment.setManagements(getManagement());
		
		return appointment;
	}
}